FIX::IncorrectTagValue Struct Reference

Field has a value that is out of range. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::IncorrectTagValue:
[legend]
Collaboration diagram for FIX::IncorrectTagValue:
[legend]

## Public Member Functions

| IncorrectTagValue (int f=0, const std::string &what="")
Public Member Functions inherited from FIX::Exception
| Exception (const std::string &t, const std::string &d)
| ~Exception () throw ()

## Public Attributes

int | field
Public Attributes inherited from FIX::Exception
std::string | type
std::string | detail

## Detailed Description

Field has a value that is out of range.

Definition at line 137 of file Exceptions.h.

## Constructor & Destructor Documentation

## IncorrectTagValue()

FIX::IncorrectTagValue::IncorrectTagValue | ( | int | f = `0`,
|  | const std::string & | what = `""`
| ) |  |

inline

Definition at line 139 of file Exceptions.h.

: Exception( "Value is incorrect (out of range) for this tag", what ),
field( f ) {}
FIX::IncorrectTagValue::field
int field
Definition: Exceptions.h:142
FIX::Exception::Exception
Exception(const std::string &t, const std::string &d)
Definition: Exceptions.h:35

## Member Data Documentation

## field

int FIX::IncorrectTagValue::field

Definition at line 142 of file Exceptions.h.

Referenced by FIX::Session::next().

The documentation for this struct was generated from the following file:

- Exceptions.h